[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Ignacio's packages: status update (Was: We'll officially orphan Ignacio Vazquez-Abrams packages)



Hi!

Thorsten Leemhuis schrieb:
[...]
> As FC6 is approaching and Ignacio seems to be AWOL for a long time now
> we'll speed up the AWOL process. In other words: All of Ignacio's
> packages are hereby considered orphaned. It's sad to lose such a major
> contributor, but we can't avoid it any longer.

A lot of Ignacio's packages found a new owner in the past week and most
of the new maintainers are listed in owners.list already. I just updated
the list in the wiki slightly and removed the packages where the new
maintainer forgot to update it after updateing owners.list (*1). Here
are those listed that are still in the wiki:

MikeKnox:
>  ||deskbar-applet||2006-08-29, MikeKnox would like to take this||
>  ||fltk||2006-08-29, MikeKnox would like to take this||
>  ||fyre||2006-08-29, MikeKnox would like to take this||
>  ||leafpad||2006-08-29, MikeKnox would like to take this||
>  ||pam_mysql||2006-08-29, MikeKnox would like to take this||

LukeMacken:
>  ||python-formencode||2006-08-29, LukeMacken would like to take this. ||
>  ||python-json||2006-08-29, LukeMacken would like to take this. ||
>  ||python-sqlobject||2006-08-29, LukeMacken would like to take this. ||
>  ||python-TestGears||2006-08-29, LukeMacken would like to take this. ||
>  ||python-nose|| LukeMacken is willing to take this. ||
>  ||TurboGears||2006-08-29, LukeMacken would like to take this. ||

Some others:
>  ||hamlib|| 2006-08-29 BobJensen DennisGilmore would like to co-maintain||
>  ||MochiKit||2006-08-28, KonstantinRyabitsev claims ownership||
>  ||mod_auth_pam||2006-08-28, BrandonHolbrook would like to take this||
>  ||numpy||2006-08-28, JarodWilson would like to take over this package||
>  ||OpenEXR||2006-08-28, RexDieter||
>  ||php-json||2006-08-28, KonstantinRyabitsev claims ownership, also BrandonHolbrook via [http://bugzilla.redhat.com/bugzilla/198564] ||

Guys, please start the takeover process soon! tia!

PeterGordon added this:
>  ||gnome-applet-rhythmbox||2006-08-28, This package should me marked dead (renamed to gnome-applet-music by upstream since it supports more than just Rhythmbox). --PeterGordon||
>  ||gnome-theme-clearlooks||This should probably be marked dead too, as it was only for FC-3 and is now integrated with the gtk2-engines package. --PeterGordon||
Peter (or someone else interested), could you mark them as dead in cvs
but nevertheless take over in owners.list in case bugs get filed against
this old crud?

No new maintainers in sight for these yet:

>  ||ecore||||
>  ||edb||||
>  ||edje||||
>  ||eet||||
>  ||embryo||||
>  ||evas||||
>  ||f2py||||
>  ||gnet2||||
>  ||libifp||||
>  ||lock-keys-applet||||
>  ||mimetex||||
>  ||pyparsing||||
>  ||python-amara||||
>  ||python-cpio||||
>  ||python-HTMLgen||||
>  ||repoml||||

According to command (*2)
$ for i in ecore edb edje eet embryo evas f2py gnet2 libifp
lock-keys-applet mimetex pyparsing python-amara python-cpio
python-HTMLgen repoml; do echo ${i}; repoquery -q --whatrequires
$(repoquery -q --provides ${i}) | sort | uniq ; echo; done
some of them are required by other pacakges:

ecore
ecore-0:0.9.9.026-1.fc5.x86_64
ecore-0:0.9.9.026-2.fc5.x86_64
ecore-devel-0:0.9.9.026-1.fc5.x86_64
ecore-devel-0:0.9.9.026-2.fc5.x86_64
ecore-directfb-0:0.9.9.026-2.fc5.x86_64
edje-0:0.5.0.026-1.fc5.x86_64

edb
edb-0:1.0.5.005-1.fc5.x86_64
edb-0:1.0.5.007-1.fc5.x86_64
edb-devel-0:1.0.5.005-1.fc5.x86_64
edb-devel-0:1.0.5.007-1.fc5.x86_64
edb-gtk-0:1.0.5.005-1.fc5.x86_64
edb-gtk-0:1.0.5.007-1.fc5.x86_64
edb-ncurses-0:1.0.5.005-1.fc5.x86_64
edb-ncurses-0:1.0.5.007-1.fc5.x86_64
evas-0:0.9.9.026-1.fc5.x86_64
evas-edb-0:0.9.9.026-2.fc5.x86_64

edje
edje-0:0.5.0.026-1.fc5.x86_64
edje-devel-0:0.5.0.026-1.fc5.x86_64

eet
ecore-0:0.9.9.026-1.fc5.x86_64
ecore-0:0.9.9.026-2.fc5.x86_64
ecore-devel-0:0.9.9.026-1.fc5.x86_64
ecore-devel-0:0.9.9.026-2.fc5.x86_64
edje-0:0.5.0.026-1.fc5.x86_64
eet-0:0.9.10.023-2.fc5.x86_64
eet-0:0.9.10.026-1.fc5.x86_64
eet-devel-0:0.9.10.023-2.fc5.x86_64
eet-devel-0:0.9.10.026-1.fc5.x86_64
evas-0:0.9.9.026-1.fc5.x86_64
evas-0:0.9.9.026-2.fc5.x86_64

embryo
edje-0:0.5.0.026-1.fc5.x86_64
embryo-0:0.9.1.023-1.fc5.x86_64
embryo-0:0.9.1.026-1.fc5.x86_64
embryo-devel-0:0.9.1.023-1.fc5.x86_64
embryo-devel-0:0.9.1.026-1.fc5.x86_64

evas
ecore-0:0.9.9.026-1.fc5.x86_64
ecore-0:0.9.9.026-2.fc5.x86_64
edje-0:0.5.0.026-1.fc5.x86_64
evas-0:0.9.9.026-1.fc5.x86_64
evas-0:0.9.9.026-2.fc5.x86_64
evas-devel-0:0.9.9.026-1.fc5.x86_64
evas-devel-0:0.9.9.026-2.fc5.x86_64
evas-directfb-0:0.9.9.026-2.fc5.x86_64
evas-edb-0:0.9.9.026-2.fc5.x86_64

f2py

gnet2
fyre-0:1.0.0-13.fc5.x86_64
gnet2-devel-0:2.0.7-6.fc5.x86_64
gurlchecker-0:0.10.0-1.fc5.x86_64
gurlchecker-0:0.10.0-2.fc5.x86_64
pan-1:0.14.2.91-4.fc5.x86_64
workrave-0:1.8.2-2.fc5.x86_64
workrave-0:1.8.3-1.fc5.x86_64

libifp
amarok-0:1.4.1-2.fc5.x86_64
amarok-0:1.4.1-3.fc5.x86_64
libifp-0:1.0.0.2-2.fc5.x86_64
libifp-devel-0:1.0.0.2-2.fc5.x86_64

lock-keys-applet

mimetex
moodle-0:1.5.3-2.fc5.noarch
moodle-0:1.5.4-1.fc5.noarch

pyparsing
pydot-0:0.9.10-3.fc5.noarch
tinyerp-server-0:3.3.0-1.fc5.noarch
tinyerp-server-0:3.3.0-2.fc5.noarch

python-amara

python-cpio

python-HTMLgen

repoml

I suggest we remove them from the repo (after an additional warning
later this week) shortly after Sunday, September 10, 23:59 UTC -- that
leaves round about a month before FC6 for the maintainers of the other
packages to fix up the dependency chain.

CU
thl

(*1) Site note: guys, next time when you update owners.list to take over
a orphaned package *please* remove it also from the wiki page! tia! I
had to do some manual and annoying cleanup there before I could start
working on this mail. See
http://www.fedoraproject.org/wiki/Extras/OrphanedPackages?action=diff&rev2=348&rev1=347


(*2) Is there a better/easier way to do that? Is this way actually correct?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]